Package net.rubygrapefruit.platform

# Interface FileInfo

All Known Subinterfaces:
  `DirEntry`, `PosixFileInfo`, `WindowsFileInfo`

All Known Implementing Classes:
  `FileStat`, `WindowsFileStat`

public interface FileInfo
Provides some information about a file. This is a snapshot and does not change.

A snapshot be fetched using `Files.stat(java.io.File)`.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`FileInfo.Type`

## Method Summary

Modifier and Type
Method
Description
`long`
`getLastModifiedTime()`
Returns the last modification time of this file, in ms since epoch.
`long`
`getSize()`
Returns the size of this file, in bytes.
`FileInfo.Type`
`getType()`
Returns the type of this file.

## Method Details

### getType

FileInfo.Type getType()
Returns the type of this file.

### getSize

long getSize()
Returns the size of this file, in bytes. Returns 0 when this file is not a regular file.

### getLastModifiedTime

long getLastModifiedTime()
Returns the last modification time of this file, in ms since epoch. Returns 0 when this file does not exist.